Upgading to latest version question

General discussion for players of Oolite.

Moderators: another_commander, winston

Post Reply
gavchap
Average
Average
Posts: 13
Joined: Mon Oct 29, 2012 7:00 pm

Upgading to latest version question

Post by gavchap »

Hi there jameson's, can i ask how do i go about updating to the latest oolite version and still have my save game and all my oxp's active in the new version, is there an easy way to do this? A step by step description would be appreciated as my noobness totaly proceeds me :)

User avatar
Smivs
Retired Assassin
Retired Assassin
Posts: 8408
Joined: Tue Feb 09, 2010 11:31 am
Location: Lost in space
Contact:

Re: Upgading to latest version question

Post by Smivs »

Saves and OXPs are automatically carried over. Just update Oolite in the normal way. :)
Commander Smivs, the friendliest Gourd this side of Riedquat.

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14094
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: Upgading to latest version question

Post by Cody »

If you use the Uninstall Oolite tool (found in the main Oolite folder), that will uninstall the game, but leave your save-games and OXPs untouched. You can then download and install the newer release of Oolite to the same drive/folder as before. Of course, it never hurts to have a back-up copy of your main save-game somewhere safe.

This applies to Windows... other OSs may differ.
Give me five, I'm still alive
Ain't no luck, I learned to duck

gavchap
Average
Average
Posts: 13
Joined: Mon Oct 29, 2012 7:00 pm

Re: Upgading to latest version question

Post by gavchap »

Ok thanks for the help guys i have done as you said, however no i have "BGS-M-CHECK YOUR LATEST.LOG" i have no idea what this means can you guys help? :)

User avatar
Cody
Sharp Shooter Spam Assassin
Sharp Shooter Spam Assassin
Posts: 14094
Joined: Sat Jul 04, 2009 9:31 pm
Location: Corke's Drift
Contact:

Re: Upgading to latest version question

Post by Cody »

Ah yes... you will need to update the CCL OXP, as stated here. It's possible that one or two other OXPs may need updating too (BGS may be one of them).
Last edited by Cody on Thu Mar 21, 2013 7:12 pm, edited 1 time in total.
Give me five, I'm still alive
Ain't no luck, I learned to duck

User avatar
Smivs
Retired Assassin
Retired Assassin
Posts: 8408
Joined: Tue Feb 09, 2010 11:31 am
Location: Lost in space
Contact:

Re: Upgading to latest version question

Post by Smivs »

Glad it (mostly) went OK. :)
You'll notice a difference, and like it a lot I think.
Commander Smivs, the friendliest Gourd this side of Riedquat.

S-P
Dangerous
Dangerous
Posts: 64
Joined: Wed Aug 10, 2011 8:34 pm

Re: Upgading to latest version question

Post by S-P »

Sorry to hijack this post, but is there a list of OXPs that arn't compatible, just wondering...

User avatar
Smivs
Retired Assassin
Retired Assassin
Posts: 8408
Joined: Tue Feb 09, 2010 11:31 am
Location: Lost in space
Contact:

Re: Upgading to latest version question

Post by Smivs »

S-P wrote:Sorry to hijack this post, but is there a list of OXPs that arn't compatible, just wondering...
Assuming it's being properly updated by the various authors the OXP table has a compatibility column. Those marked with 'T' are 1.77 only (as they use 1.77 features). Those with a 'Y' are 1.76 compible, but many of these will also be OK in 1.77.
Commander Smivs, the friendliest Gourd this side of Riedquat.

S-P
Dangerous
Dangerous
Posts: 64
Joined: Wed Aug 10, 2011 8:34 pm

Re: Upgading to latest version question

Post by S-P »

Smivs wrote:
S-P wrote:Sorry to hijack this post, but is there a list of OXPs that arn't compatible, just wondering...
Assuming it's being properly updated by the various authors the OXP table has a compatibility column. Those marked with 'T' are 1.77 only (as they use 1.77 features). Those with a 'Y' are 1.76 compible, but many of these will also be OK in 1.77.
OK, I'll check the oxp versions, thanks.

Post Reply